from rest_framework.views import exception_handler

def custom_exception_handler(exc, context):
    response = exception_handler(exc, context)

    if response is not None and isinstance(response.data, dict):
        errors = {}
        for field, messages in response.data.items():
            if isinstance(messages, list) and messages:
                errors[field] = " ".join(messages)
            else:
                errors[field] = str(messages)

        response.data = {
            "success": False,
            "message": "Validation failed. Please correct the highlighted errors.",
            "errors": errors,
        }
    return response